Page MenuHomePhabricator

Improve meta-data handling in RDF-Output
Closed, ResolvedPublic

Description

Meta-Data handling is a bit confusing at present. There are several kinds of meta-data to consider:

  • Dump-Level meta-data
    • License
    • Schema version
    • Generator version
    • Generation timestamp
  • Description document meta-data
    • relationship with entity
  • Revision meta-data (applies to the description, not the entity)
    • id
    • timestamp

Dump-level meta-data should *always* be included in the output. Description and revision meta-data for each entity are optional.

Event Timeline

daniel created this task.Mar 12 2015, 5:17 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added subscribers: Smalyshev, Aklapper, daniel.
Lydia_Pintscher triaged this task as Normal priority.Mar 16 2015, 9:47 AM
Lydia_Pintscher set Security to None.
Smalyshev closed this task as Resolved.Mar 20 2015, 6:59 PM
Smalyshev claimed this task.

I think this is done.